
        MODULE string_utilities


        CONTAINS


          FUNCTION int_to_char_suffix( filename_head, i )  result( filename )

!  convert an integer to a character via an internal write statement
!  and use as a suffix to a filename
            implicit none

            character (len=128), intent(IN)     :: filename_head
            integer,             intent(IN)     :: i

            character (len=128)                 :: filename
            character (len=10)                  :: i_as_char
            character (len=1)                   :: dot='.'
            character (len=10)			:: i_tmp

            write(i_tmp,'(I10)') i		! internal write statment

            i_as_char = dot // adjustl( i_tmp )
            filename  = trim(filename_head) // adjustl(i_as_char)

          END FUNCTION int_to_char_suffix



          FUNCTION int_to_3char_suffix( filename_head, i )  result( filename )

!  convert an integer to a character via an internal write statement
!  and use as a suffix to a filename
            implicit none

            character (len=128), intent(IN)     :: filename_head
            integer,             intent(IN)     :: i

            character (len=128)                 :: filename
            character (len=4)                   :: i_as_char
            character (len=3)			:: zerozero='.00'
            character (len=2)			:: zero='.0'
            character (len=1)			:: dot='.'
            character (len=10)			:: i_tmp

           
            write(i_tmp,'(I10)') i		! internal write statment
 
                
            if(i >=0 .and. i<=9) then
               i_as_char = zerozero // adjustl( i_tmp ) 

            elseif(i >=10 .and. i<=99) then
               i_as_char = zero // adjustl( i_tmp )
            else
               i_as_char = dot // adjustl( i_tmp )
            endif


            filename  = trim(filename_head) // adjustl(i_as_char)

          END FUNCTION int_to_3char_suffix
          
        END MODULE string_utilities
